JNA API 3.3.0

## com.sun.jna.platform.win32
Class W32ServiceManager

    java.lang.Object
      com.sun.jna.platform.win32.W32ServiceManager

    public class W32ServiceManager

extends Object

Win32 Service Manager wrapper

Author:
  EugineLev

Field Summary
`(package private) String` | `_databaseName`
`(package private) Winsvc.SC_HANDLE` | `_handle`
`(package private) String` | `_machineName`

Constructor Summary
`W32ServiceManager()`
`W32ServiceManager(String machineName, String databaseName)`

Method Summary
`void` | `close()` Closes the previously opened Service Manager.
`Winsvc.SC_HANDLE` | `getHandle()` Gets the service manager handle.
`void` | `open(int permissions)` Opens the Service Manager with the supplied permissions.
`W32Service` | `openService(String serviceName, int permissions)` Opens a Service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _handle

    Winsvc.SC_HANDLE _handle

### _machineName

    String _machineName

### _databaseName

    String _databaseName

Constructor Detail

### W32ServiceManager

    public W32ServiceManager()

### W32ServiceManager

    public W32ServiceManager(String machineName,
                             String databaseName)

Method Detail

### open

    public void open(int permissions)

  Opens the Service Manager with the supplied permissions.

  Parameters:
    `permissions` - Permissions.

### close

    public void close()

  Closes the previously opened Service Manager.

### openService

    public W32Service openService(String serviceName,
                                  int permissions)

  Opens a Service.

  Parameters:
    `serviceName` - Service name.
    `permissions` - Permissions.
  Returns:
    Returns an opened service.

### getHandle

    public Winsvc.SC_HANDLE getHandle()

  Gets the service manager handle.

  Returns:
    Returns the service manager handle.

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.